
/**
 * Clase que representa un Cliente del Sistema de Facturacion
 * 
 * @author G. Cherencio 
 * @version 1.0
 */
public class Cliente
{
    // ATRIBUTOS de la clase Cliente
    private int idc;
    private String descr;
    private double saldo;

    // CONSTRUCTORES
    /**
     * Constructor for objects of class Cliente
     */
    public Cliente()
    {
        this(1);
    }
    public Cliente(int codigo) {
        this(codigo,"Sin Nombre");
    }
    public Cliente(int codigo,String nombre) {
        this(codigo,nombre,0.0);
    }
    public Cliente(int codigo,String nombre,double saldo) {
        setIdc(codigo);
        setDescr(nombre);
        setSaldo(saldo);
    }
        
    
    //METODOS GETTERS
    public int getIdc() { 
        return idc;
    }
    public String getDescr() {
        return descr;
    }
    public double getSaldo() {
        return saldo;
    }
    
    //METODOS SETTERS
    public void setIdc(int codigo) {
        idc = codigo;
    }
    public void setDescr(String nombre) {
        descr = nombre;
    }
    public void setSaldo(double monto) {
        saldo = monto;
    }

}
